version: '3'

services:
  backend:
    image: ${IMAGE_BACKEND}:${TAG_BUILD}
    restart: unless-stopped
    volumes:
      - /root/data/finanztool-${SUBDOMAIN}/media:/usr/src/app/data/media
    depends_on:
      - postgres
    environment:
      - URL=http://${SUBDOMAIN}.dev.finanz.sv.local
      - DEBUG=1
      - DEBUG_BRANDING=${DEBUG_BRANDING}
      - OIDC_RP_CLIENT_ID=${OIDC_RP_CLIENT_ID}
      - OIDC_RP_CLIENT_SECRET=${OIDC_RP_CLIENT_SECRET}
      - OIDC_OP_AUTHORIZATION_ENDPOINT=${OIDC_OP_AUTHORIZATION_ENDPOINT}
      - OIDC_OP_TOKEN_ENDPOINT=${OIDC_OP_TOKEN_ENDPOINT}
      - OIDC_OP_USER_ENDPOINT=${OIDC_OP_USER_ENDPOINT}
      - OIDC_OP_JWKS_ENDPOINT=${OIDC_OP_JWKS_ENDPOINT}
      - OIDC_OP_LOGOUT_URL=${OIDC_OP_LOGOUT_URL}

  nginx:
    image: ${IMAGE_NGINX}:${TAG_BUILD}
    restart: unless-stopped
    hostname: finanztool-${SUBDOMAIN}
    depends_on:
      - backend
    networks:
      - default
      - nginx

  cups:
    image: gitlab.lrz.de:5005/sv/finanz/docker-cups:latest
    restart: unless-stopped

  postgres:
    image: ${CI_DEPENDENCY_PROXY_DIRECT_GROUP_IMAGE_PREFIX}/postgres:14-alpine
    restart: unless-stopped
    environment:
      - POSTGRES_PASSWORD=postgres
    volumes:
      - /root/data/finanztool-${SUBDOMAIN}/postgres:/var/lib/postgresql/data

networks:
  nginx:
    name: nginx
    external: true
